1 2 3 Previous Next 65 Replies Latest reply on Nov 27, 2008 5:06 AM by Dimitris Andreadis

    1.4.1.GA ready

    Clebert Suconic Master

      I believe we are ready for a GA release.

      We have all the DBs tested, clustered testsuite.. everything passed.

      But we need to make sure JCA won't require us to change anything because of some minor failures on the TCK.

      I know they are definitely *not* our fault, but I'm just concerned over changes on the JCA that would eventually require some changes on JBM. They have been coupling with old behaviours on the JBossMQ that may not be true any more. So I would wait the conclusion of the TCK work before cutting the release. (But if someone thinks we should go ahead already anyway.. I'm easy)

      Howard... I have updated the release WIKI, and you should take a look and see if you have any questions... We could chat offline.. so we can talk about the procedure.

      http://www.jboss.org/community/docs/DOC-10642

      (Also if anyone could think of any changes to the check-list, please go ahead and improve it)

        • 1. Re: 1.4.1.GA ready
          Yong Hao Gao Master

          working with JCA guy now, should be clear very soon.

          • 2. Re: 1.4.1.GA ready
            Tim Fox Master

            Agreed. Let's hold out to see the conclusion of the JCA issue first.

            • 3. Re: 1.4.1.GA ready
              Dimitris Andreadis Master

              Adrian jumped in with a comment; I've made a change to the cts config and waiting the next run to see if that fixes the issue (cross your fingers).

              • 4. Re: 1.4.1.GA ready
                Yong Hao Gao Master

                Some third-party lib is not consistent with latest jboss5 trunk:

                sun-javacc: jboss5 -- 4.0 jbm -- 3.2
                jboss/common-core: jboss5 -- 2.2.10 jbm -- 2.2.8.GA
                jboss/common-logging-jdk: jboss5 -- 2.0.5.GA jbm -- 2.0.2.GA
                jboss/common-logging-log4j: jboss5 -- 2.0.5.GA jbm -- 2.0.2GA
                jboss/common-logging-spi: jboss5 -- 2.0.5.GA jbm -- 2.0.2GA
                jboss/jboss-mdr: jboss5 -- 2.0.1.GA jbm-- 2.0.0.Beta12
                jboss/jbossts: jboss5 -- 4.4.0.GA jbm -- 4.2.3.SP7
                jbossas/core-libs: jboss5 -- not found jbm -- 4.2.0.GA

                I'll try to update them

                • 5. Re: 1.4.1.GA ready
                  Clebert Suconic Master

                   

                  "gaohoward" wrote:
                  Some third-party lib is not consistent with latest jboss5 trunk:

                  sun-javacc: jboss5 -- 4.0 jbm -- 3.2
                  jboss/common-core: jboss5 -- 2.2.10 jbm -- 2.2.8.GA
                  jboss/common-logging-jdk: jboss5 -- 2.0.5.GA jbm -- 2.0.2.GA
                  jboss/common-logging-log4j: jboss5 -- 2.0.5.GA jbm -- 2.0.2GA
                  jboss/common-logging-spi: jboss5 -- 2.0.5.GA jbm -- 2.0.2GA
                  jboss/jboss-mdr: jboss5 -- 2.0.1.GA jbm-- 2.0.0.Beta12
                  jboss/jbossts: jboss5 -- 4.4.0.GA jbm -- 4.2.3.SP7
                  jbossas/core-libs: jboss5 -- not found jbm -- 4.2.0.GA

                  I'll try to update them



                  Just ignore sun-javacc, jboss/common, jboss/jboss-mdr. They are the equivalent to jbossas/core-libs. It would be better to replace them... but they are not critical. We could do it later.

                  But I'm not sure about jbossts though.

                  • 6. Re: 1.4.1.GA ready
                    Clebert Suconic Master

                    I guess it's going to be hard to substitute jbossts on our thirdparty also. that's probably bringing other dependencies from jboss5 (I remember doing something around that)? If you can do it easily fine.. if you can't I would add that to the ignore list, but we should get an input from Tim first.

                    • 7. Re: 1.4.1.GA ready
                      Tim Fox Master

                       

                      "gaohoward" wrote:
                      Some third-party lib is not consistent with latest jboss5 trunk:

                      sun-javacc: jboss5 -- 4.0 jbm -- 3.2
                      jboss/common-core: jboss5 -- 2.2.10 jbm -- 2.2.8.GA
                      jboss/common-logging-jdk: jboss5 -- 2.0.5.GA jbm -- 2.0.2.GA
                      jboss/common-logging-log4j: jboss5 -- 2.0.5.GA jbm -- 2.0.2GA
                      jboss/common-logging-spi: jboss5 -- 2.0.5.GA jbm -- 2.0.2GA
                      jboss/jboss-mdr: jboss5 -- 2.0.1.GA jbm-- 2.0.0.Beta12
                      jboss/jbossts: jboss5 -- 4.4.0.GA jbm -- 4.2.3.SP7
                      jbossas/core-libs: jboss5 -- not found jbm -- 4.2.0.GA

                      I'll try to update them


                      Good catch Howard :)

                      Clebert - I thought you already checked the dependencies? What happened?

                      • 8. Re: 1.4.1.GA ready
                        Dimitris Andreadis Master

                        for jbossas/core-libs you should be compiling against the latest 5.0.0.CR2 artifacts.

                        • 9. Re: 1.4.1.GA ready
                          Tim Fox Master

                           

                          "dimitris@jboss.org" wrote:
                          for jbossas/core-libs you should be compiling against the latest 5.0.0.CR2 artifacts.


                          Indeed, I'm not sure how this slipped through the net :(

                          • 10. Re: 1.4.1.GA ready
                            Yong Hao Gao Master

                            Another issue is the jbossts lib, in JBM we are using jbossts14, which i think is jbossts lib built with java 1.4. JBoss AS 5 just uses jbossts (i think it is compiled with java 15), should we drop the 1.4 stuff ?

                            • 11. Re: 1.4.1.GA ready
                              Yong Hao Gao Master

                               

                              "dimitris@jboss.org" wrote:
                              for jbossas/core-libs you should be compiling against the latest 5.0.0.CR2 artifacts.


                              Hi Dimitris, I don't quite get it. Can you explain a bit about how to keep the core-libs sync with JBoss AS 5?


                              • 12. Re: 1.4.1.GA ready
                                Dimitris Andreadis Master

                                We have a cyclical dependency: AS uses JBM which depends on AS core libs.

                                The best solution is to break this dependency, but until this is done, you should compile JBM against the latest AS libs. If you leave out snapshosts, the next best choice is the latest tagged release (AS5 CR2).

                                The integration and TCK testing done on the AS side should uncover problems, if there are any.

                                • 13. Re: 1.4.1.GA ready
                                  Clebert Suconic Master

                                   

                                  "timfox" wrote:

                                  Clebert - I thought you already checked the dependencies? What happened?


                                  The jboss-core-libs are basically used to support the ServiceContainer and tests... I didn't consider it as part of the critical libs.

                                  The jbossts was a slip though... and I apologize for that.

                                  • 14. Re: 1.4.1.GA ready
                                    Anil Saldanha Master

                                    What will make the messaging project more agile? I opened a critical security bug last week and I am still no where in sight of even a snapshot release here. :)

                                    1 2 3 Previous Next